---
schema_version: "1"
id: f90017456f6620dd0083c9fc11e33416ee3a78c81d0be2b609a17026d9472e05
title: DELETE /sms/v1/keyword/{keyword}/{longCode}
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/marketing-cloud/guides/mc-apis/deleteKeywordViaKeywordLongCode.md
canonical_url: https://developer.salesforce.com/docs/marketing/marketing-cloud/references/mc_rest_sms/deleteKeywordViaKeywordLongCode.html
source_site: developer.salesforce.com
content_type: documentation
content_hash: 8612b7179a5efcad0ea80479739bdeea81126c9c19e8ea3dcd5e3a29c1890fe1
products:
  - Marketing Cloud Engagement APIs and Programmatic Languages
  - Marketing Cloud
---
# DELETE /sms/v1/keyword/{keyword}/{longCode}

## Overview

Deletes a keyword on an account given a keyword and long code.

### JSON Parameters

<!--complex table-->

| Name         | Type   |     | Description                                       |
| ------------ | ------ | --- | ------------------------------------------------- |
| **keyword**  | string |     | The keyword that will be deleted                  |
| **longCode** | string |     | The long code of the keyword that will be deleted |

### Usage

**Example Request**

```js
Host: https://YOUR_SUBDOMAIN.rest.marketingcloudapis.com
DELETE /sms/v1/keyword
Content-Type: application/json
Authorization: Bearer YOUR_ACCESS_TOKEN

{
    "LongCode": "5550003232",
    "Keyword": "TEST"
}
```

**Example Response**

```js
HTTP/1.1 202 Accepted
{
    "Status": "SUCCESS Keyword with id alm5LXNSSktGMGluRznRb1Rb1R5MDZFQTo4Njow was successfully delete."
}
```
